Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
eventlog Interface Reference

## Classes
struct | eventlog_ChangeUnknown0
struct | eventlog_OpenUnknown0

## Public Types
struct {
uint32 size
uint32 reserved
uint32 record_number
uint32 time_generated
uint32 time_written
uint32 event_id
uint16 event_type
uint16 num_of_strings
uint16 event_category
uint16 reserved_flags
uint32 closing_record_number
uint32 stringoffset
uint32 sid_length
uint32 sid_offset
uint32 data_length
uint32 data_offset
nstring source_name
nstring computer_name
nstring strings [num_of_strings]
astring raw_data
} | eventlog_Record

## Public Member Functions
NTSTATUS | eventlog_ClearEventLogW ([in] policy_handle *handle, [in, unique] lsa_String *backupfilename)
NTSTATUS | eventlog_BackupEventLogW ([in] policy_handle *handle, [in, unique] lsa_String *backupfilename)
NTSTATUS | eventlog_CloseEventLog ([in, out] policy_handle *handle)
NTSTATUS | eventlog_DeregisterEventSource ([in, out] policy_handle *handle)
NTSTATUS | eventlog_GetNumRecords ([in] policy_handle *handle, [out, ref] uint32 *number)
NTSTATUS | eventlog_GetOldestRecord ([in] policy_handle *handle, [out, ref] uint32 *oldest)
NTSTATUS | eventlog_ChangeNotify ([in] policy_handle *handle, [in, ref] eventlog_ChangeUnknown0 *unknown2, [in] uint32 unknown3)
NTSTATUS | eventlog_OpenEventLogW ([in, unique] eventlog_OpenUnknown0 *unknown0, [in] lsa_String Module, [in] lsa_String RegModuleName, [in] uint32 MajorVersion, [in] uint32 MinorVersion, [out] policy_handle *handle)
NTSTATUS | eventlog_RegisterEventSourceW ([in, unique] eventlog_OpenUnknown0 *unknown0, [in] lsa_String logname, [in] lsa_String servername, [in] uint32 unknown2, [in] uint32 unknown3, [out] policy_handle *handle)
NTSTATUS | eventlog_OpenBackupEventLogW ([in, unique] eventlog_OpenUnknown0 *unknown0, [in] lsa_String logname, [in] uint32 unknown2, [in] uint32 unknown3, [out] policy_handle *handle)
NTSTATUS | eventlog_ReadEventLogW ([in] policy_handle *handle, [in] eventlogReadFlags flags, [in] uint32 offset, [in] uint32 number_of_bytes, [out, size_is(number_of_bytes)] uint8 *data, [out, ref] uint32 *sent_size, [out, ref] uint32 *real_size)
NTSTATUS | eventlog_ReportEventW ([in] policy_handle *handle, [in] uint32 time, [in] eventlogEventTypes Type, [in] uint16 event_category, [in] uint32 event_id, [in] uint16 num_of_strings, [in] uint32 data_length, [in] lsa_String computer_name)
NTSTATUS | eventlog_ClearEventLogA ()
NTSTATUS | eventlog_BackupEventLogA ()
NTSTATUS | eventlog_OpenEventLogA ()
NTSTATUS | eventlog_RegisterEventSourceA ()
NTSTATUS | eventlog_OpenBackupEventLogA ()
NTSTATUS | eventlog_ReadEventLogA ()
NTSTATUS | eventlog_ReportEventA ()
NTSTATUS | eventlog_RegisterClusterSvc ()
NTSTATUS | eventlog_DeregisterClusterSvc ()
NTSTATUS | eventlog_WriteClusterEvents ()
NTSTATUS | eventlog_GetLogIntormation ([in] policy_handle *handle, [in] uint32 dwInfoLevel, [out][size_is(cbBufSize)] char lpBuffer[*], [in] uint32 cbBufSize, [out, ref] long *cbBytesNeeded)
NTSTATUS | eventlog_FlushEventLog ([in] policy_handle *handle)

## Public Attributes
typedef | bitmap

## Member Data Documentation

typedef eventlog::bitmap

Initial value:
{
EVENTLOG_SEQUENTIAL_READ = 0x0001,
EVENTLOG_SEEK_READ = 0x0002,
EVENTLOG_FORWARDS_READ = 0x0004,
EVENTLOG_BACKWARDS_READ = 0x0008
} eventlogReadFlags

The documentation for this interface was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/pidl/eventlog/eventlog.idl